Package org.eclipse.birt.chart.script.api.attribute

# Interface ILabel

public interface ILabel
Represents Label object in a Chart in the scripting environment

## Method Summary

Modifier and Type
Method
Description
`IText`
`getCaption()`
Gets the caption in the Label
`boolean`
`isVisible()`
Checks if current label is visible
`void`
`setVisible(boolean visible)`
Sets if current label is visible

## Method Details

### isVisible

boolean isVisible()
Checks if current label is visible

Returns:
  visible or not

### setVisible

void setVisible(boolean visible)
Sets if current label is visible

Parameters:
  `visible` -

### getCaption

IText getCaption()
Gets the caption in the Label

Returns:
  the caption text